#!/bin/sh

dialog=$(yad --on-top --mouse --width=900 --title "To Retag a bookmark press a blue button for 2 seconds" --form --field="Then click 10 digit timestamp and drag it into this box")
ret=$?
if [[ $ret -eq 1 ]];then exit 0;fi
timestamp=$(echo $dialog | awk 'BEGIN {FS="|" } { print $1 }')
if [[ $timestamp = "" ]]; then exit 0; fi
timestamp2=$(echo $timestamp | awk 'BEGIN {FS="-" } { print $2 }')
size=${#timestamp2}
if [ $size = 10 ];
then
case $timestamp2 in
''|*[!0-9]*) ;;
*) 
# here copy line containing $timestamp2 from bm0/index.html to $bm_tmp, if timestamp not found then exit.
# also - if you are trying to use a video bookmark timestamp instead of a bookmark timestamp - it will exit.
bm_tmp=$(awk '/'$timestamp2'/' /root/.bookmarks/bm0/index.html | sed 's/span><span.*/span>/' | sed 's/<\/td><\/tr>//')
if [[ -z $bm_tmp ]]; then exit 0; fi
# once that is done delete existing tags and proceed as normal with code below to retag.
# the original pdf and html pages are left intact and do not change, they are only retagged.
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm0/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm2/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm3/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm4/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm5/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm6/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm7/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm8/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm9/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm10/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm11/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm12/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm13/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm14/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm15/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm16/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm17/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm18/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm19/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm20/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm21/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm22/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm23/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm24/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm25/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm26/index.html
sed -i'.bak' '/'$timestamp2'/d'  /root/.bookmarks/bm27/index.html
printf "%s\n" "$timestamp2" >> /root/.bookmarks/bm/txt/retagged.txt
;;
esac
fi

. /root/.bookmarks/bm/txt/tags.txt
dialog=$(yad --on-top --mouse --title="Tag(s)" --width=600 --height=600 --list --checklist --column "Add" --column "Section" FALSE $c2 FALSE $c3 FALSE $c4 FALSE $c5 FALSE $c6 FALSE $c7 FALSE $c8 FALSE $c9 FALSE $c10 FALSE $c11 FALSE $c12 FALSE $c13 FALSE $c14 FALSE $c15 FALSE $c16 FALSE $c17 FALSE $c18 FALSE $c19 FALSE $c20 FALSE $c21 FALSE $c22 FALSE $c23 FALSE $c24 FALSE $c25 FALSE $c26 FALSE $c27)
ret=$?
if [[ $ret -eq 1 ]];then exit 0;fi
dialog=$(echo $dialog | sed 's/|//g' | sed 's/ //g' | sed 's/-//g')
if [[ $dialog = *TRUE$c2* ]];then bm2=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm2/index.html'><img src='../bm2/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c3* ]];then bm3=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm3/index.html'><img src='../bm3/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c4* ]];then bm4=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm4/index.html'><img src='../bm4/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c5* ]];then bm5=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm5/index.html'><img src='../bm5/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c6* ]];then bm6=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm6/index.html'><img src='../bm6/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c7* ]];then bm7=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm7/index.html'><img src='../bm7/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c8* ]];then bm8=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm8/index.html'><img src='../bm8/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c9* ]];then bm9=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm9/index.html'><img src='../bm9/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c10* ]];then bm10=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm10/index.html'><img src='../bm10/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c11* ]];then bm11=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm11/index.html'><img src='../bm11/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c12* ]];then bm12=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm12/index.html'><img src='../bm12/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c13* ]];then bm13=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm13/index.html'><img src='../bm13/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c14* ]];then bm14=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm14/index.html'><img src='../bm14/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c15* ]];then bm15=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm15/index.html'><img src='../bm15/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c16* ]];then bm16=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm16/index.html'><img src='../bm16/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c17* ]];then bm17=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm17/index.html'><img src='../bm17/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c18* ]];then bm18=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm18/index.html'><img src='../bm18/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c19* ]];then bm19=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm19/index.html'><img src='../bm19/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c20* ]];then bm20=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm20/index.html'><img src='../bm20/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c21* ]];then bm21=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm21/index.html'><img src='../bm21/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c22* ]];then bm22=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm22/index.html'><img src='../bm22/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c23* ]];then bm23=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm23/index.html'><img src='../bm23/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c24* ]];then bm24=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm24/index.html'><img src='../bm24/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c25* ]];then bm25=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm25/index.html'><img src='../bm25/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c26* ]];then bm26=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm26/index.html'><img src='../bm26/favicon.ico'></a></span>");fi
if [[ $dialog = *TRUE$c27* ]];then bm27=$(echo "<span class='tag'><a onfocus='this.blur()' href='file:///root/.bookmarks/bm27/index.html'><img src='../bm27/favicon.ico'></a></span>");fi

sorttime=$(echo $((0-$timestamp2)))

if [[ $dialog = *TRUE$c2* ]];then
dd if=/dev/null of=/root/.bookmarks/bm2/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm2/index.html ) - $( tail -n1 /root/.bookmarks/bm2/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm2/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm2/index.html;
fi

if [[ $dialog = *TRUE$c3* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm3/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm3/index.html ) - $( tail -n1 /root/.bookmarks/bm3/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm3/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm3/index.html;
fi

if [[ $dialog = *TRUE$c4* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm4/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm4/index.html ) - $( tail -n1 /root/.bookmarks/bm4/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm4/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm4/index.html;
fi

if [[ $dialog = *TRUE$c5* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm5/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm5/index.html ) - $( tail -n1 /root/.bookmarks/bm5/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm5/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm5/index.html;
fi

if [[ $dialog = *TRUE$c6* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm6/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm6/index.html ) - $( tail -n1 /root/.bookmarks/bm6/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm6/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm6/index.html;
fi

if [[ $dialog = *TRUE$c7* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm7/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm7/index.html ) - $( tail -n1 /root/.bookmarks/bm7/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm7/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm7/index.html;
fi

if [[ $dialog = *TRUE$c8* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm8/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm8/index.html ) - $( tail -n1 /root/.bookmarks/bm8/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm8/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm8/index.html;
fi

if [[ $dialog = *TRUE$c9* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm9/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm9/index.html ) - $( tail -n1 /root/.bookmarks/bm9/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm9/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm9/index.html;
fi

if [[ $dialog = *TRUE$c10* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm10/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm10/index.html ) - $( tail -n1 /root/.bookmarks/bm10/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm10/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm10/index.html;
fi

if [[ $dialog = *TRUE$c11* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm11/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm11/index.html ) - $( tail -n1 /root/.bookmarks/bm11/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm11/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm11/index.html;
fi

if [[ $dialog = *TRUE$c12* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm12/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm12/index.html ) - $( tail -n1 /root/.bookmarks/bm12/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm12/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm12/index.html;
fi

if [[ $dialog = *TRUE$c13* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm13/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm13/index.html ) - $( tail -n1 /root/.bookmarks/bm13/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm13/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm13/index.html;
fi

if [[ $dialog = *TRUE$c14* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm14/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm14/index.html ) - $( tail -n1 /root/.bookmarks/bm14/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm14/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm14/index.html;
fi

if [[ $dialog = *TRUE$c15* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm15/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm15/index.html ) - $( tail -n1 /root/.bookmarks/bm15/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm15/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm15/index.html;
fi

if [[ $dialog = *TRUE$c16* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm16/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm16/index.html ) - $( tail -n1 /root/.bookmarks/bm16/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm16/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm16/index.html;
fi

if [[ $dialog = *TRUE$c17* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm17/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm17/index.html ) - $( tail -n1 /root/.bookmarks/bm17/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm17/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm17/index.html;
fi

if [[ $dialog = *TRUE$c18* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm18/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm18/index.html ) - $( tail -n1 /root/.bookmarks/bm18/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm18/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm18/index.html;
fi

if [[ $dialog = *TRUE$c19* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm19/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm19/index.html ) - $( tail -n1 /root/.bookmarks/bm19/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm19/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm19/index.html;
fi

if [[ $dialog = *TRUE$c20* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm20/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm20/index.html ) - $( tail -n1 /root/.bookmarks/bm20/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm20/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm20/index.html;
fi

if [[ $dialog = *TRUE$c21* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm21/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm21/index.html ) - $( tail -n1 /root/.bookmarks/bm21/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm21/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm21/index.html;
fi

if [[ $dialog = *TRUE$c22* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm22/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm22/index.html ) - $( tail -n1 /root/.bookmarks/bm22/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm22/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm22/index.html;
fi

if [[ $dialog = *TRUE$c23* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm23/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm23/index.html ) - $( tail -n1 /root/.bookmarks/bm23/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm23/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm23/index.html;
fi

if [[ $dialog = *TRUE$c24* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm24/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm24/index.html ) - $( tail -n1 /root/.bookmarks/bm24/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm24/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm24/index.html;
fi

if [[ $dialog = *TRUE$c25* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm25/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm25/index.html ) - $( tail -n1 /root/.bookmarks/bm25/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm25/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm25/index.html;
fi

if [[ $dialog = *TRUE$c26* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm26/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm26/index.html ) - $( tail -n1 /root/.bookmarks/bm26/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm26/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm26/index.html;
fi

if [[ $dialog = *TRUE$c27* ]];then 
dd if=/dev/null of=/root/.bookmarks/bm27/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm27/index.html ) - $( tail -n1 /root/.bookmarks/bm27/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm27/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm27/index.html;
fi

dd if=/dev/null of=/root/.bookmarks/bm0/index.html bs=1 seek=$(echo $(stat --format=%s /root/.bookmarks/bm0/index.html ) - $( tail -n1 /root/.bookmarks/bm0/index.html | wc -c) | bc )
echo ''"$bm_tmp"''"$bm1"''"$bm2"''"$bm3"''"$bm4"''"$bm5"''"$bm6"''"$bm7"''"$bm8"''"$bm9"''"$bm10"''"$bm11"''"$bm12"''"$bm13"''"$bm14"''"$bm15"''"$bm16"''"$bm17"''"$bm18"''"$bm19"''"$bm20"''"$bm21"''"$bm22"''"$bm23"''"$bm24"''"$bm25"''"$bm26"''"$bm27"'</td></tr>' >>  /root/.bookmarks/bm0/index.html
echo '</table></div></div></body></html>' >> /root/.bookmarks/bm0/index.html
